> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shoppex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Credit customer wallet

> Developer API operation for POST /dev/v1/customers/{id}/wallet/credit.



## OpenAPI

````yaml /openapi.json post /dev/v1/customers/{id}/wallet/credit
openapi: 3.0.3
info:
  title: Shoppex Developer API
  description: Mintlify-compatible Developer API reference for Shoppex.
  version: 1.0.0
  contact:
    name: Shoppex Support
    email: support@shoppex.io
    url: https://shoppex.io
servers:
  - url: https://api.shoppex.io
security:
  - bearerAuth: []
paths:
  /dev/v1/customers/{id}/wallet/credit:
    post:
      tags:
        - Customers
      summary: Credit customer wallet
      description: Developer API operation for POST /dev/v1/customers/{id}/wallet/credit.
      operationId: postDevV1CustomersByIdWalletCredit
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - amount
              properties:
                amount:
                  type: string
                type:
                  anyOf:
                    - type: string
                      enum:
                        - CREDIT
                    - type: string
                      enum:
                        - PROMO
                    - type: string
                      enum:
                        - ADJUSTMENT
                description:
                  type: string
                expires_at:
                  type: string
              example:
                amount: '10.00'
                type: PROMO
                description: Goodwill credit
          multipart/form-data:
            schema:
              type: object
              required:
                - amount
              properties:
                amount:
                  type: string
                type:
                  anyOf:
                    - type: string
                      enum:
                        - CREDIT
                    - type: string
                      enum:
                        - PROMO
                    - type: string
                      enum:
                        - ADJUSTMENT
                description:
                  type: string
                expires_at:
                  type: string
              example:
                amount: '10.00'
                type: PROMO
                description: Goodwill credit
          text/plain:
            schema:
              type: object
              required:
                - amount
              properties:
                amount:
                  type: string
                type:
                  anyOf:
                    - type: string
                      enum:
                        - CREDIT
                    - type: string
                      enum:
                        - PROMO
                    - type: string
                      enum:
                        - ADJUSTMENT
                description:
                  type: string
                expires_at:
                  type: string
              example:
                amount: '10.00'
                type: PROMO
                description: Goodwill credit
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    additionalProperties: true
                example:
                  data:
                    transaction_id: txn_credit_1
                    amount: 10
                    currency: EUR
                    new_balance: 25
                    available_balance: 22.5
                    wallet_id: wallet_1
      deprecated: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Use your Shoppex API key in the Authorization header.

````